# Namespace goog.net

code »

## Classes

goog.net.DefaultXmlHttpFactory Default factory to use when creating xhr objects. goog.net.WrapperXmlHttpFactory An xhr factory subclass which can be constructed using two factory methods. goog.net.XmlHttpFactory Abstract base class for an XmlHttpRequest factory.

Show:Public Protected Private

## Global Functions

code »goog.net.XmlHttp ( ) ⇒ `!(XMLHttpRequest|GearsHttpRequest)`

Static class for creating XMLHttpRequest objects.

Returns
A new XMLHttpRequest object.